Subject: bug#53071: 28.0.90; Emacs 28 regression: incorrect code generation for complex pcase forms?

From: Eli Zaretskii <[email-masked]>
Date: Wed, 12 Jan 2022 18:58:45 +0200

> From: Mattias Engdegård <[email-masked]>
> Date: Wed, 12 Jan 2022 17:03:44 +0100
> Cc: [email-masked], Philipp <[email-masked]>,
>  Stefan Monnier <[email-masked]>,
>  Paul Pogonyshev <[email-masked]>
> 
> >>> commit 1362a9fec4dff341a84c881ac17dbf1ee2cf82fd
> >>> Author: Mattias Engdegård <[email-masked]>
> >>> Date:   Fri Mar 5 20:21:01 2021 +0100
> >>> 
> >>>   Make lambda-lifting work again
> >> 
> >> Not that again.  Let's CC Mattias then.
> > 
> > Again? In any case, that change only fixed a typo in earlier code by Stefan. More likely to be a logic error in the parent change (a350ae058cae), or in edebug.
> 
> No, you're right, it's bug#51982 again. I've backported the fix from master, which we should have done from the beginning. Paul, I'd like to say on record that listening to you would have saved us much time.

Emacs 28 is in a very good shape, and no serious problems were
reported in several weeks.  We could release Emacs 28.1 in a few
weeks, fingers crossed.

So I'm about to revert this backport, but I'm prepared to hear
arguments why shouldn't I.

>From my POV, the regression is very minor, and it doesn't justify such
a non-trivial change in such a central place.  If you think the
problem is serious, I'd rather revert the change we did which produced
the regression in the first place (assuming it's not too complicated).

Thanks.